summaryrefslogtreecommitdiffstats
path: root/kalyptus/dcopidlng
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-01-01 19:19:07 -0600
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-01-01 19:19:07 -0600
commitcf5706eb5adbe5858d87118d200e233abfa1271f (patch)
tree9c4da2dc3e403f2cdfa2cf8d632098a12fdad2e4 /kalyptus/dcopidlng
parent795a0355a40293affc7164507e918440d4a828d6 (diff)
downloadlibtqt-perl-cf5706eb5adbe5858d87118d200e233abfa1271f.tar.gz
libtqt-perl-cf5706eb5adbe5858d87118d200e233abfa1271f.zip
Update embedded kalyptus installation
Diffstat (limited to 'kalyptus/dcopidlng')
-rwxr-xr-xkalyptus/dcopidlng12
1 files changed, 12 insertions, 0 deletions
diff --git a/kalyptus/dcopidlng b/kalyptus/dcopidlng
new file mode 100755
index 0000000..a9add53
--- /dev/null
+++ b/kalyptus/dcopidlng
@@ -0,0 +1,12 @@
+#!/bin/sh
+if [[ -z $KALYPTUS || ! -d $KALYPTUS ]]
+then
+ echo "Please set enviroment variable KALYPTUS to point to your tdebindings/kaltyptus checkout directory"
+ exit
+fi
+perl -I$KALYPTUS $KALYPTUS/kalyptus $2 --allow_k_dcop_accessors -f dcopidl $1 2>/tmp/dcopidlng.stderr.$$
+if [[ $? -ne 0 ]]
+then
+ cat /tmp/dcopidlng.stderr.$$
+fi
+rm /tmp/dcopidlng.stderr.$$